@use './styles/tag-media.variations' as variations;
@use './styles/tag-media.variables' as *;

:host {
	@include digi-tag-media--variables;
	$base: '.digi-tag-media';

	#{$base} {
		display: inline-flex;
		align-items: center;
		background-color: var(--digi--tag-media--background-color);
		border-radius: var(--digi--tag-media--border-radius);
		padding: var(--digi--tag-media--padding);
		height: var(--digi--tag-media--height);

		&__icon {
			--digi--icon--color: var(--digi--tag-media--color--icon);
			margin-right: var(--digi--tag-media--margin);
		}

		&__text {
			font-family: var(--digi--global--typography--font-family--default);
			font-size: var(--digi--tag-media--text--font-size);
			font-weight: var(--digi--tag-media--text--font-weight);
			color: var(--digi--tag-media--color--text);
		}
	}

		#{$base} digi-icon-online-computervideo,
		#{$base} digi-icon-pod,
		#{$base} digi-icon-news,
		#{$base} digi-icon-webinar {
			--digi--icon--width: 20px;
		}

		#{$base} digi-icon-online-video {
			--digi--icon--width: 19px;
		}

		#{$base} digi-icon-list-ul {
			--digi--icon--width: 16px;
		}
}
